%global realname cl
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	1.2.1
Release:	1%{?dist}
Summary:	OpenCL binding for Erlang
Group:		Development/Languages
License:	MIT
URL:		https://github.com/tonyrog/cl
%if 0%{?el7}%{?fedora}
VCS:		https://github.com/tonyrog/cl.git
%endif
Source0:	https://github.com/tonyrog/cl/archive/%{realname}-%{version}.tar.gz
# Fedora-specific - adds proper version instead of "git"
Patch1:		erlang-cl-0001-Fix-version.patch
BuildRequires:	erlang-rebar
BuildRequires:	opencl-headers
BuildRequires:	ocl-icd-devel
# Error:erlang(erlang:load_nif/2) in R13B and earlier
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
OpenCL binding for Erlang.


%prep
%setup -q -n %{realname}-%{realname}-%{version}
%patch1 -p1 -b .ver


%build
rebar compile -v
# FIXME Something is wrong with doc generation - we should work with upstream
# on this
#rebar doc -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 include/%{realname}.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include/
install -p -m 0755 priv/%{realname}_nif.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
# Can't pass autotests for now due to limited OpenCL support in Fedora (?)
#rebar eunit -v


%files
%doc COPYRIGHT README examples/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nif.so


%changelog
* Wed Oct 30 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Initial package
